from django.contrib.gis import admin
from models import *

class FeatureNamesInline(admin.StackedInline):
    model = Name
    extra = 0

class FeatureRelationInline(admin.TabularInline):
    model = Feature.relationships.through
    extra = 1
    fk_name = 'feature1'

class FeatureAdmin(admin.OSMGeoAdmin):
    search_fields = ['preferred_name']
#    list_filter = ('feature_type',)
    inlines = [FeatureNamesInline]
    list_display = ('__unicode__', 'feature_type_name', 'time_start', 'time_end',)
    list_per_page = 12
    openlayers_url = 'http://openlayers.org/dev/OpenLayers.js'
    openlayers_img_path = None
#    map_template = 'gis/admin/osm.html'
#    default_lon = 72.855211097628413
#    default_lat = 19.415775291486027
#    default_zoom = 4
#    extra_js = ['http://openstreetmap.org/openlayers/OpenStreetMap.js']

class FeatureTypeAdmin(admin.ModelAdmin):
    list_display = ('code', 'name', 'description', 'feature_class',)

admin.site.register(Feature, FeatureAdmin)
admin.site.register(TimeFrame)
admin.site.register(FeatureType, FeatureTypeAdmin)
admin.site.register(Relationship)
admin.site.register(AuthorityRecord)
